#ifndef SHARED_CS_COURSE_SEARCH_H
#define SHARED_CS_COURSE_SEARCH_H

#include "../global.h"
#include "shared_util.h"
#include "shared_course_search.h"


void cs_set_course_group_option_list(const char *course_path, const char *username);
void cs_read_course_search_params( const char *username, COURSE_SEARCH_PARAMS *params);
void cs_set_search_criteria (COURSE_SEARCH_PARAMS *params, COURSE_SEARCH_NODE *course_head, const char *key, const char *prog);
void cs_set_search_form( char *action,  char *key, const char *username );


COURSE_SEARCH_NODE *read_search_course_parameters (char *key, COURSE_SEARCH_PARAMS *params);
void
cs_set_searched_courses( const char *key, COURSE_SEARCH_NODE *course_head, COURSE_SEARCH_PARAMS *params, const char *prog);

#endif
